Retrieves the task_activity_log with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
task_activity_log| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| task_id |
Task id |
globally unique identifier |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task_reference_back_office |
Embedded code "task" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task |
Embedded entity "task" using node when adding/updating task_activity_log |
task |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task_activity_id |
task_activity_id |
globally unique identifier |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| task_activity_reference_back_office |
Embedded code "task_activity" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| task_activity |
Embedded entity "task_activity" using node when adding/updating task_activity_log |
task_activity |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| user_id |
user_id |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded code "user" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating task_activity_log |
user |
Optionally required : user_id, user_code or user must be provided |
| contact_id |
contact_id |
globally unique identifier |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| contact_reference_back_office |
Embedded code "contact" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| contact |
Embedded entity "contact" using node when adding/updating task_activity_log |
contact |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| subject |
Saubject |
string |
Max length: 64 |
| description |
Description |
string | |
| due_date |
Date+Time of the due date |
date |
Required |
| is_closed |
is_closed |
boolean | |
| date_closed |
Date+Time of the date_closed |
date |
Required |
| reference_back_office |
reference_back_office of task_activity_log |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "6ed2bbb9-586b-4642-80bd-49bbd18a6c34",
"task_id": "1d1bc011-2994-4f82-b6bc-6257a7f2fde1",
"task_reference_back_office": "sample string 3",
"task_activity_id": "96e53b87-a2a3-40e5-a773-844215505f8e",
"task_activity_reference_back_office": "sample string 5",
"user_id": "bdddcf0e-76dc-4eca-ba33-346cd4ec4a76",
"user_code": "sample string 7",
"contact_id": "be83926a-7eeb-4e18-82eb-f75b1583a667",
"contact_reference_back_office": "sample string 9",
"subject": "sample string 10",
"description": "sample string 11",
"due_date": "2026-06-12T07:17:01.1665939+00:00",
"is_closed": true,
"date_closed": "2026-06-12T07:17:01.1665939+00:00",
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-06-12T07:17:01.1665939+00:00"
}